%define module_version 0.020
%define module_name WebService-JotForm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Test/Deep.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.020
Release: alt1
Summary: Perl interface to JotForm's API -- currently only the read operations, not creating or deleting dat...
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VR/VROOM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a thin wrapper around the JotForm API.  All results are what's returned by the JotForm API, 
with the JSON being converted into Perl data structures.

You need a JotForm API key to use this module.  The easiest way to get an apiKey is just to
login to JotForm and then go to http://www.jotform.com/myaccount/api.
From there create a token (or use an existing one).  You can set whether it's a read-only or full-access token.

More information on tokens is available in the JotForm API Documentation
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md README LICENSE
%perl_vendor_privlib/W*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.020-alt1
- regenerated from template by package builder

* Wed Oct 08 2014 Igor Vlasenko <viy@altlinux.ru> 0.019-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.016-alt1
- regenerated from template by package builder

* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1
- initial import by package builder

